View Issue Details

IDProjectCategoryView StatusLast Update
0014552LazarusLCLpublic2009-09-11 02:52
ReporterMartin Friebe Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014552: colorbox broken since revision 21588
DescriptionThe issue can be seen on the editor/color option page.
Colorboxes are no longer initialized.

The value is probably already set, before the handle is allocated, then it may have been updated later, but that no longer has an effect.

Appropriate action needs to be taken if the handle is allocated.
Additional Informationprocedure TCustomColorBox.SetSelected(Value: TColor);
var
  c: integer;
begin
  if Selected = Value then // ADDED IN REV 21588
    Exit;

  if HandleAllocated then
TagsNo tags attached.
Fixed in Revision21639
LazTarget0.9.30
Widgetset
Attached Files

Activities

Paul Ishenin

2009-09-10 00:53

manager   ~0030576

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-09-09 23:01 Martin Friebe New Issue
2009-09-09 23:01 Martin Friebe LazTarget => -
2009-09-10 00:53 Paul Ishenin Fixed in Revision => 21639
2009-09-10 00:53 Paul Ishenin LazTarget - => 0.9.30
2009-09-10 00:53 Paul Ishenin Status new => resolved
2009-09-10 00:53 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-09-10 00:53 Paul Ishenin Resolution open => fixed
2009-09-10 00:53 Paul Ishenin Assigned To => Paul Ishenin
2009-09-10 00:53 Paul Ishenin Note Added: 0030576
2009-09-10 00:53 Paul Ishenin Target Version => 0.9.30
2009-09-11 02:52 Martin Friebe Status resolved => closed